<%inherit file="master.html" />
<div id="allergens">
    % for allergen in allergens:
        <div id="allergen-${loop.index}" class="allergen">
            <h2>Аллерген</h2>
            <div class="row">
                <div class="input-group col col-md-4">
                    <div class="input-group-prepend">
                        <span class="input-group-text">Имя</span>
                    </div>
                    <input id="allergen-${loop.index}-name" class="form-control" type="text" name="name"
                           value="${allergen['name']}">
                </div>
                <div class="input-group col-12 col-md-8">
                    <div class="input-group-prepend">
                        <span class="input-group-text">Переменная</span>
                    </div>
                    <input id="allergen-${loop.index}-variable" class="form-control" type="text" name="variable"
                           value="${allergen['variable']}">
                </div>
            </div>
            <div class="row">
                <div class="input-group col-12 col-sm-5 col-md-4">
                    <div class="input-group-prepend">
                        <span class="input-group-text">Ед. изм.</span>
                    </div>
                    <input id="allergen-${loop.index}-units" class="form-control" type="text" name="units"
                           value="${allergen['units']}">
                </div>
                <div class="input-group col-12 col-sm-8 col-lg-5">
                    <div class="input-group-prepend">
                        <span class="input-group-text">Отображаемые ед. изм.</span>
                    </div>
                    <input id="allergen-${loop.index}-ru_units" class="form-control" type="text" name="ru_units"
                           value="${allergen['ru_units']}">
                </div>
                <div class="input-group col-12 col-sm-5 col-md-4">
                    <div class="input-group-prepend">
                        <span class="input-group-text">Множитель</span>
                    </div>
                    <input id="allergen-${loop.index}-factor" class="form-control" type="number" name="factor"
                           value="${allergen['factor']}" step=".01">
                </div>
            </div>
            <div id="allergen-${loop.index}-levels" class="allergen-levels">
                <h3>Уровни</h3>
                % for level in allergen['levels']:
                    <div class="row mb-1 level">
                        <div class="input-group col-6 col-md">
                            <div class="input-group-prepend">
                                <span class="input-group-text">от</span>
                            </div>
                            <input class="form-control level-from" type="number" name="from" value="${level['from']}"
                                   step=".1"/>
                        </div>
                        <div class="input-group col-6 col-md">
                            <div class="input-group-prepend">
                                <span class="input-group-text">до</span>
                            </div>
                            <input class="form-control level-to" type="number" name="to" value="${level['to']}"
                                   step=".1">
                        </div>
                        <div class="input-group col-6 col-md-5 col-lg">
                            <div class="input-group-prepend">
                                <span class="input-group-text">цвет</span>
                            </div>
                            <input class="form-control level-color-text" type="text" name="color-text"
                                   value="${level['color']}">
                            <div class="input-group-append">
                                <span class="input-group-text">
                                    <input class="level-color-pick" type="color" name="color-pick" value="${level['color']}">
                                </span>
                            </div>
                        </div>
                        <div class="col-1 col-md-1">
                            <button class="btn btn-outline-danger level-remove">✖</button>
                        </div>
                    </div>
                % endfor
                <div class="row">
                    <div class="input-group col-6 col-md-3">
                        <button class="btn btn-primary btn-block add-template">➕</button>
                    </div>
                    <div class="template">
                        <div class="row mb-1 level">
                            <div class="input-group col-6 col-md">
                                <div class="input-group-prepend">
                                    <span class="input-group-text">от</span>
                                </div>
                                <input class="form-control level-from" type="number" name="from" step=".1"/>
                            </div>
                            <div class="input-group col-6 col-md">
                                <div class="input-group-prepend">
                                    <span class="input-group-text">до</span>
                                </div>
                                <input class="form-control level-to" type="number" name="to" step=".1">
                            </div>
                            <div class="input-group col-6 col-md-5 col-lg">
                                <div class="input-group-prepend">
                                    <span class="input-group-text">цвет</span>
                                </div>
                                <input class="form-control level-color-text" type="text"
                                       name="color-text"
                                       value="#888888">
                                <div class="input-group-append">
                        <span class="input-group-text">
                            <input class="level-color-pick" type="color" name="color-pick" value="#888888">
                        </span>
                                </div>
                            </div>
                            <div class="col-1">
                                <button class="btn btn-outline-danger level-remove">✖</button>
                            </div>
                        </div>

                    </div>
                </div>
            </div>
            <hr>
        </div>
    % endfor
</div>
<div id="allergens-actions" class="pb-5">
    <div class="row">
        <div class="col col-sm-3">
            <a id="allergens-actions-save" href="#allergens-actions" class="btn btn-success mt-3 form-control"
               role="button">Сохранить</a>
        </div>
        <div class="col col-sm-3">
            <a href="${url_for('index')}" class="btn btn-secondary mt-3 form-control" role="button">Назад</a>
        </div>
    </div>
</div>

<%def name="script()">
    <script>let updatePath = '${url_for('update_allergens')}'</script>
    <script src="/static/js/allergens.js"></script></%def>